<template>
  <div class="FormField">
    <InputTag :for="id">{{ id }}</InputTag>
    <InputField
      :id="id"
      :type="inputType"
      :required="required"
      :value="modelValue"
      @input="$emit('update:modelValue', $event.target.value)"
    ></InputField>
    <span class="error" v-if="error" role="alert">{{ error }}</span>
  </div>
</template>

<script>
import InputTag from "../atoms/InputTag.vue";
import InputField from "../atoms/InputField.vue";

export default {
  props: {
    id: {
      type: String,
    },
    inputType: {
      type: String,
    },
    error: {
      type: String,
    },
    required: {
      type: Boolean,
    },
    modelValue: {},
  },
  components: { InputTag, InputField },
};
</script>

<style lang="scss">
.FormField {
  display: flex;
  flex-direction: column;
  margin: 1rem;
}
.error {
  color: red;
}
</style>
